Summary: RPM installer/updater
Name: yum
Version: 2.0
Release: 1f1
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArchitectures: noarch
BuildRequires: rpm-python python >= 2.2
Requires: rpm-python >= 4.2  python >= 2.2  rpm >= 4.2
Prereq: /sbin/chkconfig, /sbin/service

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

%prep
%setup -q

%build
%configure 
make


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
cd $RPM_BUILD_ROOT/%{_sbindir}
ln -s ../bin/yum .
ln -s ../bin/yum-arch .

#%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO INSTALL
%{_libdir}/yum/*
%{_sbindir}/yum
%{_sbindir}/yum-arch
%{_bindir}/yum
%{_bindir}/yum-arch
/var/cache/yum
%{_mandir}/man*/*
%{_datadir}/locale/*/LC_MESSAGES/yum.mo

%changelog
* Fri Apr 4 2003 Troy Dawson <dawson@fnal.gov>
- Moved to the latest daily of yum 2.0
- pulled the config stuff out to it's own rpm.

* Thu Mar 11 2003 Troy Dawson <dawson@fnal.gov>
- Took release 1.0 and 'Fermi'ized it

* Tue Mar 11 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump ver to 1.0
- fix conf file
- for rhl 7.3

* Thu Mar 05 2003 Troy Dawson <dawson@fnal.gov>
- Updated to yum realase candidate 1 (0.9.9)
- changed the yum-conf post script to be smarter when editing yum.conf

* Thu Jan 02 2003 Troy Dawson <dawson@fnal.gov>
- Added yum repository to yum.conf

* Sun Dec 22 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to ver 0.9.4

* Thu Dec 05 2002 Troy Dawson <dawson@fnal.gov>
- Change config so that there is two extra config files, for rolling and regular
- Also made it so that the yum repository names are more specific

* Sun Oct 20 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.3

* Tue Aug 27 2002 Troy Dawson <dawson@fnal.gov>
- Fixed the config script with a little sanity checking.  So if you don't
  have a Fermi Linux release, you get pointed to 731.

* Tue Aug 27 2002 Troy Dawson <dawson@fnal.gov>
- Fermi-ized the release.  This includes
  Changed the spec file, so that there is a yum, and a yum-conf.
  Changed the conf file to point to the Fermi Repositories
  Changed the cron file to work with our workgroups

* Mon Aug 26 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.2

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.1

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver  to 0.9.0

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- added rpm require

* Sun Jun 30 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.9

* Fri Jun 14 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.7

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.5

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.4

* Sun Jun  9 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.2
* Thu Jun  6 2002 Seth Vidal <skvidal@phy.duke.edu>
- First packaging
